<?php

use Symfony\Component\Translation\MessageCatalogue;

$catalogue = new MessageCatalogue('de', array (
  'validators' => 
  array (
    'This value should be false.' => 'Dieser Wert sollte false sein.',
    'This value should be true.' => 'Dieser Wert sollte true sein.',
    'This value should be of type {{ type }}.' => 'Dieser Wert sollte vom Typ {{ type }} sein.',
    'This value should be blank.' => 'Dieser Wert sollte leer sein.',
    'The value you selected is not a valid choice.' => 'Sie haben einen ungültigen Wert ausgewählt.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'Sie müssen mindestens {{ limit }} Möglichkeit wählen.|Sie müssen mindestens {{ limit }} Möglichkeiten wählen.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'Sie dürfen höchstens {{ limit }} Möglichkeit wählen.|Sie dürfen höchstens {{ limit }} Möglichkeiten wählen.',
    'One or more of the given values is invalid.' => 'Einer oder mehrere der angegebenen Werte sind ungültig.',
    'This field was not expected.' => 'Dieses Feld wurde nicht erwartet.',
    'This field is missing.' => 'Dieses Feld fehlt.',
    'This value is not a valid date.' => 'Dieser Wert entspricht keiner gültigen Datumsangabe.',
    'This value is not a valid datetime.' => 'Dieser Wert entspricht keiner gültigen Datums- und Zeitangabe.',
    'This value is not a valid email address.' => 'Dieser Wert ist keine gültige E-Mail-Adresse.',
    'The file could not be found.' => 'Die Datei wurde nicht gefunden.',
    'The file is not readable.' => 'Die Datei ist nicht lesbar.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Die Datei ist zu groß ({{ size }} {{ suffix }}). Die maximal zulässige Größe beträgt {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'Der Dateityp ist ungültig ({{ type }}). Erlaubte Dateitypen sind {{ types }}.',
    'This value should be {{ limit }} or less.' => 'Dieser Wert sollte kleiner oder gleich {{ limit }} sein.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'Diese Zeichenkette ist zu lang. Sie sollte höchstens {{ limit }} Zeichen haben.|Diese Zeichenkette ist zu lang. Sie sollte höchstens {{ limit }} Zeichen haben.',
    'This value should be {{ limit }} or more.' => 'Dieser Wert sollte größer oder gleich {{ limit }} sein.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'Diese Zeichenkette ist zu kurz. Sie sollte mindestens {{ limit }} Zeichen haben.|Diese Zeichenkette ist zu kurz. Sie sollte mindestens {{ limit }} Zeichen haben.',
    'This value should not be blank.' => 'Dieser Wert sollte nicht leer sein.',
    'This value should not be null.' => 'Dieser Wert sollte nicht null sein.',
    'This value should be null.' => 'Dieser Wert sollte null sein.',
    'This value is not valid.' => 'Dieser Wert ist nicht gültig.',
    'This value is not a valid time.' => 'Dieser Wert entspricht keiner gültigen Zeitangabe.',
    'This value is not a valid URL.' => 'Dieser Wert ist keine gültige URL.',
    'The two values should be equal.' => 'Die beiden Werte sollten identisch sein.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Die Datei ist zu groß. Die maximal zulässige Größe beträgt {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'Die Datei ist zu groß.',
    'The file could not be uploaded.' => 'Die Datei konnte nicht hochgeladen werden.',
    'This value should be a valid number.' => 'Dieser Wert sollte eine gültige Zahl sein.',
    'This file is not a valid image.' => 'Diese Datei ist kein gültiges Bild.',
    'This is not a valid IP address.' => 'Dies ist keine gültige IP-Adresse.',
    'This value is not a valid language.' => 'Dieser Wert entspricht keiner gültigen Sprache.',
    'This value is not a valid locale.' => 'Dieser Wert entspricht keinem gültigen Gebietsschema.',
    'This value is not a valid country.' => 'Dieser Wert entspricht keinem gültigen Land.',
    'This value is already used.' => 'Dieser Wert wird bereits verwendet.',
    'The size of the image could not be detected.' => 'Die Größe des Bildes konnte nicht ermittelt werden.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'Die Bildbreite ist zu groß ({{ width }}px). Die maximal zulässige Breite beträgt {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'Die Bildbreite ist zu gering ({{ width }}px). Die erwartete Mindestbreite beträgt {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'Die Bildhöhe ist zu groß ({{ height }}px). Die maximal zulässige Höhe beträgt {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'Die Bildhöhe ist zu gering ({{ height }}px). Die erwartete Mindesthöhe beträgt {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'Dieser Wert sollte dem aktuellen Benutzerpasswort entsprechen.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'Dieser Wert sollte genau {{ limit }} Zeichen lang sein.|Dieser Wert sollte genau {{ limit }} Zeichen lang sein.',
    'The file was only partially uploaded.' => 'Die Datei wurde nur teilweise hochgeladen.',
    'No file was uploaded.' => 'Es wurde keine Datei hochgeladen.',
    'No temporary folder was configured in php.ini.' => 'Es wurde kein temporärer Ordner in der php.ini konfiguriert oder der temporäre Ordner existiert nicht.',
    'Cannot write temporary file to disk.' => 'Kann die temporäre Datei nicht speichern.',
    'A PHP extension caused the upload to fail.' => 'Eine PHP-Erweiterung verhinderte den Upload.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'Diese Sammlung sollte {{ limit }} oder mehr Elemente beinhalten.|Diese Sammlung sollte {{ limit }} oder mehr Elemente beinhalten.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'Diese Sammlung sollte {{ limit }} oder weniger Elemente beinhalten.|Diese Sammlung sollte {{ limit }} oder weniger Elemente beinhalten.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'Diese Sammlung sollte genau {{ limit }} Element beinhalten.|Diese Sammlung sollte genau {{ limit }} Elemente beinhalten.',
    'Invalid card number.' => 'Ungültige Kartennummer.',
    'Unsupported card type or invalid card number.' => 'Nicht unterstützer Kartentyp oder ungültige Kartennummer.',
    'This is not a valid International Bank Account Number (IBAN).' => 'Dieser Wert ist keine gültige internationale Bankkontonummer (IBAN).',
    'This value is not a valid ISBN-10.' => 'Dieser Wert entspricht keiner gültigen ISBN-10.',
    'This value is not a valid ISBN-13.' => 'Dieser Wert entspricht keiner gültigen ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'Dieser Wert ist weder eine gültige ISBN-10 noch eine gültige ISBN-13.',
    'This value is not a valid ISSN.' => 'Dieser Wert ist keine gültige ISSN.',
    'This value is not a valid currency.' => 'Dieser Wert ist keine gültige Währung.',
    'This value should be equal to {{ compared_value }}.' => 'Dieser Wert sollte gleich {{ compared_value }} sein.',
    'This value should be greater than {{ compared_value }}.' => 'Dieser Wert sollte größer als {{ compared_value }} sein.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'Dieser Wert sollte größer oder gleich {{ compared_value }} sein.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Dieser Wert sollte identisch sein mit {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'Dieser Wert sollte kleiner als {{ compared_value }} sein.',
    'This value should be less than or equal to {{ compared_value }}.' => 'Dieser Wert sollte kleiner oder gleich {{ compared_value }} sein.',
    'This value should not be equal to {{ compared_value }}.' => 'Dieser Wert sollte nicht {{ compared_value }} sein.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Dieser Wert sollte nicht identisch sein mit {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'Das Seitenverhältnis des Bildes ist zu groß ({{ ratio }}). Der erlaubte Maximalwert ist {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'Das Seitenverhältnis des Bildes ist zu klein ({{ ratio }}). Der erwartete Minimalwert ist {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'Das Bild ist quadratisch ({{ width }}x{{ height }}px). Quadratische Bilder sind nicht erlaubt.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'Das Bild ist im Querformat ({{ width }}x{{ height }}px). Bilder im Querformat sind nicht erlaubt.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'Das Bild ist im Hochformat ({{ width }}x{{ height }}px). Bilder im Hochformat sind nicht erlaubt.',
    'An empty file is not allowed.' => 'Eine leere Datei ist nicht erlaubt.',
    'The host could not be resolved.' => 'Der Hostname konnte nicht aufgelöst werden.',
    'This value does not match the expected {{ charset }} charset.' => 'Dieser Wert entspricht nicht dem erwarteten Zeichensatz {{ charset }}.',
    'This is not a valid Business Identifier Code (BIC).' => 'Dieser Wert ist kein gültiger BIC.',
    'Error' => 'Fehler',
    'This is not a valid UUID.' => 'Dies ist keine gültige UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'Dieser Wert sollte ein Vielfaches von {{ compared_value }} sein.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'Diese internationale Bankleitzahl (BIC) ist nicht mit der IBAN {{ iban }} assoziiert.',
    'This value should be valid JSON.' => 'Dieser Wert sollte gültiges JSON sein.',
    'This collection should contain only unique elements.' => 'Diese Sammlung darf keine doppelten Elemente enthalten.',
    'This value should be positive.' => 'Diese Zahl sollte positiv sein.',
    'This value should be either positive or zero.' => 'Diese Zahl sollte entweder positiv oder 0 sein.',
    'This value should be negative.' => 'Diese Zahl sollte negativ sein.',
    'This value should be either negative or zero.' => 'Diese Zahl sollte entweder negativ oder 0 sein.',
    'This value is not a valid timezone.' => 'Dieser Wert ist keine gültige Zeitzone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'Dieses Passwort ist Teil eines Datenlecks, es darf nicht verwendet werden.',
    'This value should be between {{ min }} and {{ max }}.' => 'Dieser Wert sollte zwischen {{ min }} und {{ max }} sein.',
    'This value is not a valid hostname.' => 'Dieser Wert ist kein gültiger Hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'Die Anzahl an Elementen in dieser Sammlung sollte ein Vielfaches von {{ compared_value }} sein.',
    'This value should satisfy at least one of the following constraints:' => 'Dieser Wert sollte eine der folgenden Bedingungen erfüllen:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Jedes Element dieser Sammlung sollte seine eigene Menge an Bedingungen erfüllen.',
    'This form should not contain extra fields.' => 'Dieses Formular sollte keine zusätzlichen Felder enthalten.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'Die hochgeladene Datei ist zu groß. Versuchen Sie bitte eine kleinere Datei hochzuladen.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'Der CSRF-Token ist ungültig. Versuchen Sie bitte das Formular erneut zu senden.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'Es ist ein Fehler bei der Authentifikation aufgetreten.',
    'Authentication credentials could not be found.' => 'Es konnten keine Zugangsdaten gefunden werden.',
    'Authentication request could not be processed due to a system problem.' => 'Die Authentifikation konnte wegen eines Systemproblems nicht bearbeitet werden.',
    'Invalid credentials.' => 'Fehlerhafte Zugangsdaten.',
    'Cookie has already been used by someone else.' => 'Cookie wurde bereits von jemand anderem verwendet.',
    'Not privileged to request the resource.' => 'Keine Rechte, um die Ressource anzufragen.',
    'Invalid CSRF token.' => 'Ungültiges CSRF-Token.',
    'No authentication provider found to support the authentication token.' => 'Es wurde kein Authentifizierungs-Provider gefunden, der das Authentifizierungs-Token unterstützt.',
    'No session available, it either timed out or cookies are not enabled.' => 'Keine Session verfügbar, entweder ist diese abgelaufen oder Cookies sind nicht aktiviert.',
    'No token could be found.' => 'Es wurde kein Token gefunden.',
    'Username could not be found.' => 'Der Benutzername wurde nicht gefunden.',
    'Account has expired.' => 'Der Account ist abgelaufen.',
    'Credentials have expired.' => 'Die Zugangsdaten sind abgelaufen.',
    'Account is disabled.' => 'Der Account ist deaktiviert.',
    'Account is locked.' => 'Der Account ist gesperrt.',
  ),
));

$catalogueEn = new MessageCatalogue('en', array (
  'validators+intl-icu' => 
  array (
    'grase.constraint.strtotime.invalid.%string%' => '{string} does not contain a valid StrToTime format',
    'grase.constraint.strtotime.expiryInPast' => 'Expiry can not be in the past',
  ),
  'validators' => 
  array (
    'This value should be false.' => 'This value should be false.',
    'This value should be true.' => 'This value should be true.',
    'This value should be of type {{ type }}.' => 'This value should be of type {{ type }}.',
    'This value should be blank.' => 'This value should be blank.',
    'The value you selected is not a valid choice.' => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.' => 'One or more of the given values is invalid.',
    'This field was not expected.' => 'This field was not expected.',
    'This field is missing.' => 'This field is missing.',
    'This value is not a valid date.' => 'This value is not a valid date.',
    'This value is not a valid datetime.' => 'This value is not a valid datetime.',
    'This value is not a valid email address.' => 'This value is not a valid email address.',
    'The file could not be found.' => 'The file could not be found.',
    'The file is not readable.' => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.' => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.' => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.' => 'This value should not be blank.',
    'This value should not be null.' => 'This value should not be null.',
    'This value should be null.' => 'This value should be null.',
    'This value is not valid.' => 'This value is not valid.',
    'This value is not a valid time.' => 'This value is not a valid time.',
    'This value is not a valid URL.' => 'This value is not a valid URL.',
    'The two values should be equal.' => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'The file is too large.',
    'The file could not be uploaded.' => 'The file could not be uploaded.',
    'This value should be a valid number.' => 'This value should be a valid number.',
    'This file is not a valid image.' => 'This file is not a valid image.',
    'This is not a valid IP address.' => 'This is not a valid IP address.',
    'This value is not a valid language.' => 'This value is not a valid language.',
    'This value is not a valid locale.' => 'This value is not a valid locale.',
    'This value is not a valid country.' => 'This value is not a valid country.',
    'This value is already used.' => 'This value is already used.',
    'The size of the image could not be detected.' => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.' => 'The file was only partially uploaded.',
    'No file was uploaded.' => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.' => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.' => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.' => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.' => 'Invalid card number.',
    'Unsupported card type or invalid card number.' => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).' => 'This is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.' => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.' => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.' => 'This value is not a valid ISSN.',
    'This value is not a valid currency.' => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.' => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'The host could not be resolved.' => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.' => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'This is not a valid Business Identifier Code (BIC).',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'This is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'This value should be valid JSON.',
    'This collection should contain only unique elements.' => 'This collection should contain only unique elements.',
    'This value should be positive.' => 'This value should be positive.',
    'This value should be either positive or zero.' => 'This value should be either positive or zero.',
    'This value should be negative.' => 'This value should be negative.',
    'This value should be either negative or zero.' => 'This value should be either negative or zero.',
    'This value is not a valid timezone.' => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This value should be between {{ min }} and {{ max }}.' => 'This value should be between {{ min }} and {{ max }}.',
    'This value is not a valid hostname.' => 'This value is not a valid hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'The number of elements in this collection should be a multiple of {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'This value should satisfy at least one of the following constraints:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Each element of this collection should satisfy its own set of constraints.',
    'This form should not contain extra fields.' => 'This form should not contain extra fields.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'The uploaded file was too large. Please try to upload a smaller file.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'The CSRF token is invalid. Please try to resubmit the form.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'An authentication exception occurred.',
    'Authentication credentials could not be found.' => 'Authentication credentials could not be found.',
    'Authentication request could not be processed due to a system problem.' => 'Authentication request could not be processed due to a system problem.',
    'Invalid credentials.' => 'Invalid credentials.',
    'Cookie has already been used by someone else.' => 'Cookie has already been used by someone else.',
    'Not privileged to request the resource.' => 'Not privileged to request the resource.',
    'Invalid CSRF token.' => 'Invalid CSRF token.',
    'No authentication provider found to support the authentication token.' => 'No authentication provider found to support the authentication token.',
    'No session available, it either timed out or cookies are not enabled.' => 'No session available, it either timed out or cookies are not enabled.',
    'No token could be found.' => 'No token could be found.',
    'Username could not be found.' => 'Username could not be found.',
    'Account has expired.' => 'Account has expired.',
    'Credentials have expired.' => 'Credentials have expired.',
    'Account is disabled.' => 'Account is disabled.',
    'Account is locked.' => 'Account is locked.',
  ),
  'js' => 
  array (
    'uam.js.server_timed_out' => 'Server Timed Out. Please try again',
    'uam.js.both_username_password_needed' => 'Both username and password are required',
    'uam.js.login_failed_server_error' => 'Login failed due to server error. Please try again',
    'uam.js.no_response_tos_server' => 'No response from TOS login server',
    'uam.js.tos_incorrect_response' => 'Incorrect response from TOS server. Please notify system admin',
    'uam.js.tos_login_error' => 'TOS login failed due to server error. Please try again',
    'uam.js.login_error' => 'An error occurred trying to login. Please notify the system admin',
    'uam.js.login_success' => 'Login successful',
    'uam.js.login_continue_to_site' => 'Continue to your site <a target=\'_blank\' href=\'%userUrl%\'>%userUrl%</a>',
    'uam.js.status.sessionStart' => 'Since %startTime%',
    'uam.js.status.remainingSessionTime' => 'Remaining Session Time <strong>%remainingSessionTime%</strong>',
    'uam.js.status.remainingSessionData' => 'Remaining Session Data <strong>%remainingSessionData%</strong>',
    'uam.js.status.loggedUsername' => 'Logged in as <strong>%username%</strong>',
    'uam.js.error.unknown_clientstate_reply' => 'Unknown clientState found in JSON reply',
    'uam.js.error.secure_challenge_failure' => 'Unable to get secure challenge',
    'uam.js.error.failed_logoff' => 'Failed to logoff. Please try again',
    'uam.js.error.already_logged_in' => 'Already logged in. Aborting login attempt',
    'uam.js.prompt.confirm_logoff' => 'Are you sure you want to disconnect now?',
    'Your are not allowed to login at this time' => 'Your are not allowed to login at this time',
    'Your account has expired' => 'Your account has expired',
    'You are already logged in at another location. Please try again in 5 minutes' => 'You are already logged in at another location. Please try again in 5 minutes',
    'Login Failed. Please check your username and password' => 'Login Failed. Please check your username and password',
    'You have reached your bandwidth limit' => 'You have reached your bandwidth limit',
    'You have reached your hourly bandwidth limit' => 'You have reached your hourly bandwidth limit',
    'You have reached your daily bandwidth limit' => 'You have reached your daily bandwidth limit',
    'You have reached your weekly bandwidth limit' => 'You have reached your weekly bandwidth limit',
    'You have reached your monthly bandwidth limit' => 'You have reached your monthly bandwidth limit',
    'You have reached your time limit' => 'You have reached your time limit',
    'You have reached your hourly time limit' => 'You have reached your hourly time limit',
    'You have reached your daily time limit' => 'You have reached your daily time limit',
    'You have reached your weekly time limit' => 'You have reached your weekly time limit',
    'You have reached your monthly time limit' => 'You have reached your monthly time limit',
  ),
  'messages+intl-icu' => 
  array (
    'grase.migrate.db.adminlogs' => 'Starting to migrate {number} admin log entries to the Audit Log',
    'grase.menu.settings.header' => 'SETTINGS',
    'grase.menu.settings.network' => 'Network',
    'grase.menu.settings.advanced' => 'Advanced',
    'grase.menu.groups' => 'Groups',
    'grase.menu.users' => 'Users',
    'grase.menu.users.new' => 'New User',
    'grase.menu.users.allusers' => 'All Users',
    'grase.menu.dhcp_leases' => 'DHCP Leases',
    'page.auditlog.information' => 'Displaying of audit logs is limited to the last 500 entries. Audit logs include all actions performed by users on the administration side of the GRASE Hotspot.',
    'page.auditlog.header' => 'Audit Log',
    'audit.login.interactive' => 'Interactive Login',
    'grase.menu.admin.auditlog' => 'Audit Log',
    'grase.menu.admin.header' => 'ADMIN',
    'grase.menu.accounts.header' => 'ACCOUNTS',
    'grase.menu.dashboard' => 'Status',
    'grase.menu.logout' => 'Logout',
    'grase.timestamp' => 'Timestamp',
    'grase.user' => 'User',
    'grase.ip' => 'IP',
    'grase.audit.action' => 'Action',
    'grase.audit.context' => 'Context',
    'grase.audit.level' => 'Level',
    'grase.form.user.password_placeholder' => 'Password',
    'grase.form.user.change_password_placeholder' => 'Change Password',
    'grase.form.user.group.label' => 'Group',
    'grase.form.user.group.help' => 'Choose the user group (Expiry is based on the user group)',
    'grase.form.user.lockReason.label' => 'Account Lock Message',
    'grase.form.user.lockReason.help' => 'Enter a reason here to lock the account. Clear the reason to unlock the account',
    'grase.form.user.submit.update' => 'Update User',
    'grase.form.user.submit.create' => 'Create User',
    'grase.command.settingsSanity.updatedSettings' => 'Updated {updatedSettings} settings. Removed {removedSettings} settings.',
    'settings.sanity.removed_setting' => 'Removed old setting',
    'settings.sanity.created_missing_setting' => 'Created missing setting during Sanity Check',
    'settings.sanity.updated_setting' => 'Updated Setting during Sanity Check',
    'grase.form.user.datalimit.both_selected_error' => 'You can\'t select both a data limit and write your own custom limit',
    'time.hours' => '{hours, plural, one {# hour} other {# hours}}',
    'time.minutes' => '{minutes, plural, one {# min} other {# mins}}',
    'grase.error.invalid-csrf' => 'Form submitted without correct security token. Please try again',
    'grase.session.logout.mac.success' => 'Logged out device {mac}',
    'grase.session.logout.mac.failed' => 'failed to logout device {mac}',
    'grase.session.tooltip.terminatecause' => 'Stop Reason: {terminatecause}',
    'grase.menu.sessions.header' => 'SESSIONS',
    'grase.menu.sessions.active' => 'Active Sessions',
    'grase.session.tooltip.captive.portal.config.login' => 'Captive Portal Config Login',
    'grase.cron.audit.activate.expireAfterLogin' => 'Activating user expiry after first login',
    'grase.cron.output.activate.expireAfterLogin' => 'Activating user expiry after first login: {user} -> {expiry}',
    'grase.cron.runner.error.job' => 'Cron runner job {name} failed',
    'grase.cron.runner.starting.job' => 'Starting Cron Job',
    'grase.cron.audit.clearStaleSessions' => 'Clearing Stale Radius Accounting Sessions',
    'grase.cron.output.clearStaleSessions' => 'Cleared {updatedSessions} stale radius accounting sessions',
    'grase.cron.audit.deleteExpiredUser' => 'Deleting expired user',
    'grase.cron.output.deleteExpiredUser' => 'Deleting expired user {user} who expired on {expiry}',
    'grase.cron.audit.clearOldPostAuth' => 'Clearing old PostAuth table entries',
    'grase.cron.output.clearOldPostAuth' => 'Cleared {oldPostAuthSessions} old rows from the postAuth table',
    'grase.cron.output.clearOldPostAuth.error' => 'Something went wrong trying to clear old PostAuth rows. Please check the logs for details',
    'grase.cron.log.clearOldPostAuth.error' => 'Cron task clearOldPostAuth DELETE query failed with an error',
    'grase.cron.audit.condensePreviousMonths' => 'Condensed old radius accounting data',
    'grase.cron.output.condensePreviousMonths' => 'Condensed old radius accounting data for {condensedUsers} in {month}',
    'grase.cron.audit.condensePreviousMonths.cleanup' => 'Deleted old accounting data rows that have been condensed into monthly table',
    'grase.cron.output.condensePreviousMonths.cleanup' => 'Deleted {deletedRows} old sessions from {month} that have been condensed',
    'grase.command.migrate-v3.error.radiusFileMissing' => 'Can\'t find radius backup file at {filename}. Please check the file exists.',
    'grase.command.migrate-v3.error.radminFileMissing' => 'Can\'t find radmin backup file at {filename}. Please check the file exists.',
    'grase.command.migrate-v3.warning-override-database' => 'This command will overwrite the database. All data will be replaced with the data in the provided backup files. All tables will be removed, even extra tables not part of the Grase Hotspot if they have been installed in this database. This is not reversible. DATA LOSS WILL OCCUR',
    'grase.command.migrate-v3.confirm-import' => 'Are you sure you want to import the radius/radmin V3 backups and overwrite the current database?',
    'grase.command.migrate-v3.error.backupFileInvalid' => 'Backup file {filename} appears invalid. Only backup files generated from V3 backups can be loaded with this tool',
    'grase.command.migrate-v3.noChangesMade' => 'No changes have been made to your database',
    'grase.command.migrate-v3.startImportBackupFile' => 'Importing backup file {filename}',
    'grase.command.migrate-v3.startClearDatabase' => 'Clearing all data in database in preparation for import',
    'grase.command.migrate-v3.error.importFailed' => 'The database import failed. Please check the logs for the error. Your database has been modified',
    'grase.command.migrate-v3.success.completed' => 'Database import from V3 files has completed successfully',
    'grase.command.migrate-v3.startMigrations' => 'Starting Database migrations to upgrade V3 database to latest schema',
    'grase.command.migrate-v3.error.doctrineMigrations' => 'Database migrations have failed. Perhaps this wasn\'t a backup from the latest V3 Grase? Please check the migrations errors and manually run \'doctrine:migrations:migrate\' again.',
    'grase.command.migrate-v3.startSettingsValidate' => 'Checking settings are valid after upgrade',
    'grase.command.migrate-v3.error.settingsValidation' => 'Validation of settings has failed. Please check errors and manually run \'grase:settings-validate\' again.',
    'grase.form.user.reset_expiry' => 'Expiry (based on Group)',
    'grase.form.user.submit.reset_expiry' => 'Reset Expiry',
    'grase.user.save_success.%username%' => 'User {username} has been updated',
    'grase.form.user.expireAfter.label' => 'Expire After First Login',
    'grase.form.user.expireAfter.none' => 'No \'Expire After First Login\' is set',
    'grase.form.user.submit.delete' => 'Delete User',
    'grase.form.user.delete.label' => 'Delete User',
    'grase.form.user.submit.delete.confirm.%username%' => 'Do you really want to delete {username}?',
    'grase.form.user.delete.success.%username%' => 'User {username} has been deleted',
    'grase.form.user.delete.fail.%username%' => 'Deleting user {username} failed',
    'grase.form.user.delete.warning' => 'User accounts are automatically deleted 2 months after expiry. Only accounts with zero usage should be manually deleted to prevent errors in the reports or statistics.',
    'grase.advancedSettings.warning' => 'Modifying settings here isn\'t recommended as no validation is done (the result must be able to be json_encoded safely)',
    'grase.advancedSettings.warning.long' => 'All settings in the Radmin Settings table are shown here. Modifying settings here isn\'t recommended as no validation is done (the result must be able to be json_encoded safely). This page allows you to see and modify hidden settings. Some settings may reset back to defaults if you try to set them to an incorrect value, others will just break.',
    'grase.advancedSettings.warning.caution' => 'CAUTION: Some settings here are internal and modifying them will break things',
    'grase.advancedSettings.edit.save_success.%setting%' => 'Updated setting: {setting}',
    'grase.advancedSettings.edit.title' => 'Edit Advanced Settings',
    'grase.status.title' => 'Status Dashboard',
    'grase.status.card.header.device_information' => 'Device Information',
    'grase.status.card.model_name' => 'Model',
    'grase.status.card.hostname' => 'Hostname',
    'grase.status.card.httpserver' => 'HTTP Server',
    'grase.status.card.uptime' => 'System Uptime',
    'grase.status.card.current_time' => 'Current Server Time',
    'grase.status.card.hardware_version' => 'Hardware Version',
    'grase.status.card.app_version' => 'Software Version',
    'grase.status.card.app_url' => 'Software URL',
    'grase.status.card.header.lan' => 'LAN Interface',
    'grase.status.card.ipaddress' => 'IP Address',
    'grase.status.card.netmask' => 'Netmask',
    'grase.status.card.mac' => 'MAC Address',
    'grase.status.card.net_interface' => 'Network Interface',
    'grase.status.card.header.wan' => 'WAN Interface',
    'grase.status.card.gateway' => 'Gateway',
    'grase.status.card.dns_primary' => 'DNS 1',
    'grase.status.card.dns_secondary' => 'DNS 2',
    'grase.status.card.systeminfo.title' => 'System Information',
    'grase.command.finished_users.no_option' => 'At least 1 of --delete-out-of-data-users or --delete-out-of-time-users must be specified',
    'grase.command.output.deleteOutOfTimeUser' => 'Deleting out-of-time user {user}',
    'grase.command.output.deleteOutOfDataUser' => 'Deleting out-of-data user {user}',
    'grase.command.audit.deleteOutOfDataUser' => 'Deleting out-of-data user',
    'grase.command.audit.deleteOutOfTimeUser' => 'Deleting out-of-time user',
    'grase.command.output.dry-run-warning' => 'Running in Dry Run mode. No users will be deleted',
    'grase.searchResults.title' => '__grase.searchResults.title',
    'grase.searchResults.title.users' => '__grase.searchResults.title.users',
    'grase.table.header.username' => '__grase.table.header.username',
    'grase.searchResults.title.groups' => '__grase.searchResults.title.groups',
    'grase.command.first-run.skipping' => 'First run wizard has already run. Please use --force to force run it if you wish to rerun it.',
    'grase.command.first-run.admin-reset.confirm' => 'An admin user already exists, are you sure you want to reset the admin user\'s password?',
    'grase.command.first-run.admin-reset.title' => 'Reset Admin User Password (username admin)',
    'grase.command.first-run.admin-reset.password1' => 'Please enter a new password for the admin user (weak passwords and passwords in the haveibeenpwned.com database aren\'t allowed)',
    'grase.command.first-run.admin-reset.password2' => 'Confirm the password',
    'grase.command.first-run.admin-reset.passwords_must_match' => 'The password\'s didn\'t match.',
    'grase.command.first-run.admin-reset.success' => 'The password has been successfully set!',
    'grase.command.first-run.admin-reset.validationLimit' => 'Too many password validation errors have occurred. First Run Wizard has failed.',
    'grase.command.first-run.admin-reset.random' => 'Admin user password has been set to: {password}',
    'grase.command.first-run.locale.%current%' => 'The current locale is set to {current}. Please enter the locale you wish to run this wizard in',
    'grase.command.first-run.setup-wan.title' => 'WAN Network Interface Setup',
    'grase.command.first-run.setup-wan.current-%wan%' => 'The WAN network interface is currently "{wan}"',
    'grase.command.first-run.setup-wan.no-available-wan-interfaces.error' => 'No available WAN interfaces detected. (Interfaces must be active and have a gateway set)',
    'grase.command.first-run.setup-wan.no-available-wan-interfaces.manual-input' => 'Please enter a manual WAN interface if detection has failed, or leave it blank to skip',
    'grase.command.first-run.setup-wan.select-nic' => 'Please select the network interface to use as the WAN',
    'grase.command.first-run.setup-wan.no-available-wan-interfaces.no-change' => 'The WAN inteface has not been changed',
    'grase.command.first-run.setup-lan.title' => 'LAN Network Interface Setup',
    'grase.command.first-run.setup-lan.current-%lan%' => 'The LAN network interface is currently "{lan}"',
    'grase.command.first-run.setup-lan.no-available-lan-interfaces.error' => 'No available LAN interfaces detected. Interfaces must not be managed by network manager. Run (replace enp1s0 with your LAN interface) `nmcli device set enp1s0 managed no` to prevent network manager from managing the LAN device that the hotspot will run on.',
    'grase.command.first-run.setup-lan.no-available-lan-interfaces.manual-input' => 'Manually enter a LAN interface or leave blank to skip. The Hotspot will not work without a LAN interface',
    'grase.command.first-run.setup-lan.no-available-lan-interfaces.no-change' => 'No changes have been made to the LAN interface setting.',
    'grase.command.first-run.setup-lan.select-nic' => 'Select the Network Interface to use an the LAN',
    'grase.command.first-run.setup-lan-ip.title' => 'LAN IP Setup',
    'grase.command.first-run.setup-lan-ip.current-%ip%-%mask%' => 'The current LAN IP/netmask is {ip}/{mask}',
    'grase.command.first-run.setup-lan-ip.ip-question' => 'Enter the LAN IP address (this is the address the server will run on)',
    'grase.command.first-run.setup-lan-ip.mask-question' => 'Enter the LAN network mask (e.g. 255.255.255.0 or 24 for CIDR notation). This will set the size of the network and determine how many client computers you can have',
    'grase.command.first-run.setup-lan-ip.invalid-mask' => 'An invalid network mask has been specified for the LAN',
    'grase.command.first-run.setup-lan-ip.validationLimit' => 'Too many LAN IP validation errors have occurred. First Run Wizard has failed.',
    'grase.command.first-run.setup-lan-ip.setting-%ip%-%mask%' => 'Setting LAN IP to {ip}/{mask}',
    'grase.network-settings.save_success' => 'Network settings saved',
    'grase.network-settings.title' => 'Network Settings',
    'grase.network-settings.information' => 'These settings are used by Coova Chilli and Dnsmasq. Both Coova Chilli and Dnsmasq will need to be reloaded when these settings change. A cron job will automatically check for changes every 5 minutes and reload these daemons if needed.',
    'login.first-run-wizard.warning.title' => 'First Run Wizard has not been Run!',
    'login.first-run-wizard.warning.body' => '
          The first run wizard has not been run, or a newer wizard is available.<br/>Please run the wizard with the command
          <code>sudo -u www-data /usr/share/grase/symfony4/bin/console grase:first-run</code>
          Login may not be possible until this has been run.
           ',
  ),
));
$catalogue->addFallbackCatalogue($catalogueEn);

return $catalogue;
